blog/urls.py
from django.urls import path
from . import views

app_name = 'blog'

urlpatterns = [
    path('', views.all_blogs, name='all_blogs'),
    path('<int:blog_id>/', views.detail, name='detail'),
]

personal_portfolio/urls.py
from django.contrib import admin
from django.urls import path, include
from portfolio import views

from django.conf.urls.static import static
from django.conf import settings

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', views.home, name='home'),
    path('blog/', include('blog.urls')),
]

urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

blog/models.py
from django.db import models

# Create your models here.
class Blog(models.Model):
    title = models.CharField(max_length=150)
    description = models.TextField()
    date_created = models.DateTimeField(auto_now=False, auto_now_add=True)
    date_updated = models.DateTimeField(auto_now=True, auto_now_add=False)
    #url = models.URLField()
    
    def __str__(self):
        return self.title

portfolio/models.py
from django.db import models

# Create your models here.

class Project(models.Model):
    title = models.CharField(max_length=100)
    description = models.TextField(max_length=250)
    image = models.ImageField(upload_to='portfolio/images/')
    url = models.URLField(blank=True)
    
    def __str__(self):
        return self.title

blog/views.py
from django.shortcuts import render, get_object_or_404
from .models import Blog

# Create your views here.
def all_blogs(request):
    blogs = Blog.objects.order_by('-date_created')
    return render(request, 'blog/all_blogs.html', {'blogs':blogs})
    
def detail(request, blog_id):
    blog = get_object_or_404(Blog, pk=blog_id)
    return render(request, 'blog/detail.html', {'blog':blog})

portfolio/views.py
from django.shortcuts import render
from django.http import HttpResponse
from .models import Project

# Create your views here.
def home(request):
    projects = Project.objects.all()
    return render(request, 'portfolio/home.html', {'projects':projects})
    #return HttpResponse("Testing")

blog/templates/blog/all_blogs.html
{% extends "portfolio/base.html" %}

{% load static %}

{% block content %}

<h1 id="blogtitle" class="font-weight-bold text-center">Blog</h1>

<h3 class="text-center mb-5">Nick has written {{ blogs.count }} blog{{ blogs.count|pluralize }}</h3>

{% for blog in blogs %}
<div class="row justify-content-center my-3">
  <div class="col-md-10">
    <a href="{% url 'blog:detail' blog.id %}">
      <h2>{{ blog.title }}</h2>
    </a>
    <h5 class="text-muted">{{ blog.date|date:'M d Y'|upper }}</h5>
    <h4>{{ blog.description|striptags|truncatechars:100 }}</h4>
  </div>
</div>
{% endfor %}

{% endblock %}

blog/templates/blog/detail.html
{% extends "portfolio/base.html" %}

{% load static %}

{% block content %}

<h1 class="text-center mt-5" id="blogdetailtitle">{{ blog.title }}</h1>

<h5 class="text-center text-muted mb-5">{{ blog.date|date:'F jS Y' }}</h5>

{{ blog.description|safe }}

{% endblock %}

portfolio/templates/portfolio/base.html
{% load static %}
<!doctype html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

  <link rel="stylesheet" href="{% static "portfolio/custom.css" %}">

  <link href="https://fonts.googleapis.com/css?family=Lato&display=swap" rel="stylesheet">

  <link rel="icon" type="image/png" href="{% static "portfolio/Logo.png" %}">

  <title>Nick Walter</title>
</head>

<body>

  <nav id="topNav" class="navbar navbar-expand-md navbar-light">
    <div class="container">
      <a class="navbar-brand" href="{% url 'home' %}">
        <img src="{% static "portfolio/Logo.png" %}" width="30" height="30" class="d-inline-block align-top" alt="Nick's Logo">
        <span>Nick Walter</span>
      </a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse text-center" id="navbarNav">
        <ul class="navbar-nav ml-auto">
          <li class="nav-item">
            <a class="nav-link" href="{% static "portfolio/resume.pdf" %}">Resume</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="https://www.linkedin.com/in/nick-walter/" target="_blank">LinkedIn</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="https://twitter.com/ZappyCode" target="_blank">Twitter</a>
          </li>
          <li>
            <a role="button" href="{% url 'blog:all_blogs' %}" class="btn btn-primary">Blog</a>
          </li>
        </ul>
      </div>
    </div>
  </nav>
  <div class="container">
    {% block content %}{% endblock %}
  </div>

  <!-- Optional JavaScript -->
  <!-- jQuery first, then Popper.js, then Bootstrap JS -->
  <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
</body>

</html>

portfolio/templates/portfolio/home.html
{% extends "portfolio/base.html" %}

{% load static %}

{% block content %}

<div class="row justify-content-center my-3">
  <div class="col-5">
    <img src="{% static 'portfolio/SquareBlonde.jpg' %}" class="img-fluid">
  </div>
</div>

<div class="row justify-content-center mb-3">
  <div class="col-md-9 text-center">
    <h1 id="hometext" class="font-weight-bold">Nick Walter is Commander-in-Chief at ZappyCode and lives in Downtown Tokyo 😊</h1>
  </div>
</div>

<h2 class="mt-5">Portfolio</h2>
<hr>
<div class="row">
  {% for project in projects %}
  <div class="col-lg-4 col-md-6">

    {% if project.url %}
    <a href="{{ project.url }}">
      <img src="{{ project.image.url }}" class="img-fluid mb-2">
    </a>
    {% else %}

    <img src="{{ project.image.url }}" class="img-fluid mb-2">
    {% endif %}
    <h3>{{ project.title }}</h3>
    <p>{{ project.description }}</p>

  </div>
  {% endfor %}
</div>

{% endblock %}